#
# spec file for package python3-jellyfish
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-jellyfish
Version:        0.5.6
Release:        1.1
License:        BSD-2-Clause
Summary:        A library for doing approximate and phonetic matching of strings
Url:            http://github.com/jamesturk/jellyfish
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/j/jellyfish/jellyfish-0.5.6.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Jellyfish is a python library for doing approximate and phonetic matching of strings.

Included Algorithms
===================

String comparison:

  * Levenshtein Distance
  * Damerau-Levenshtein Distance
  * Jaro Distance
  * Jaro-Winkler Distance
  * Match Rating Approach Comparison
  * Hamming Distance

Phonetic encoding:

  * American Soundex
  * Metaphone
  * NYSIIS (New York State Identification and Intelligence System)
  * Match Rating Codex

%prep
%setup -q -n jellyfish-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python3_sitearch}/*

%changelog
* Thu Jan 19 2017 alarrosa@suse.com
- Initial release
